package cn.hnthyy.thmz.service.impl.thmz;

import cn.hnthyy.thmz.entity.thmz.ScheduleOfMedicalApply;
import cn.hnthyy.thmz.mapper.thmz.ScheduleOfMedicalApplyMapper;
import cn.hnthyy.thmz.service.thmz.ScheduleOfMedicalApplyServicve;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ScheduleOfMedicalApplyServicveImpl implements ScheduleOfMedicalApplyServicve {
    @SuppressWarnings("all")
    @Autowired
    private ScheduleOfMedicalApplyMapper scheduleOfMedicalApplyMapper;
    @Override
    public int saveScheduleOfMedicalApply(ScheduleOfMedicalApply scheduleOfMedicalApply) {
        return scheduleOfMedicalApplyMapper.insertScheduleOfMedicalApply(scheduleOfMedicalApply);
    }

    @Override
    public ScheduleOfMedicalApply queryById(Long id) {
        return scheduleOfMedicalApplyMapper.selectById(id);
    }

    @Override
    public ScheduleOfMedicalApply queryByScheduleId(Long scheduleId) {
        return scheduleOfMedicalApplyMapper.selectByScheduleId(scheduleId);
    }

    @Override
    public int removeScheduleOfMedicalApply(Long id) {
        return scheduleOfMedicalApplyMapper.deleteScheduleOfMedicalApply(id);
    }
}
